gsasl_property_free(3)

NAME
gsasl_property_free - API function

SYNOPSIS
#include <gsasl.h>

void gsasl_property_free(Gsasl_session * sctx, Gsasl_property prop);

ARGUMENTS

Gsasl_session * sctx
    session handle.

Gsasl_property prop
    enumerated value of Gsasl_property type to clear

DESCRIPTION
Deallocate associated data with property prop in session handle. After this call, gsasl_property_fast( sctx , prop ) will always return NULL.

SINCE
2.0.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/